﻿using GrapeCity.Documents.Pdf;
using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace ImportExportFormData
{
    class ImportExportSample
    {
        public void ImportDataFromFDF()
        {
            var doc = new GcPdfDocument();
            doc.Load(new FileStream(Path.Combine("TimeSheetForm_Blank.pdf"), FileMode.Open, FileAccess.Read)); //Load the document          

            FileStream stream = new FileStream(Path.Combine("FormData_FDF.fdf"), FileMode.Open, FileAccess.Read); //Open the FDF file
            doc.ImportFormDataFromFDF(stream); //Import the form data        
            doc.Save("PdfForm_FDF.pdf"); //Save the document
        }

        public void ImportDataFromXFDF()
        {
            var doc = new GcPdfDocument();
            doc.Load(new FileStream(Path.Combine("TimeSheetForm_Blank.pdf"), FileMode.Open, FileAccess.Read)); //Load the document          

            FileStream stream = new FileStream(Path.Combine("FormData_XFDF.xfdf"), FileMode.Open, FileAccess.Read); //Open the FDF file
            doc.ImportFormDataFromXFDF(stream); //Import the form data        
            doc.Save("PdfForm_XFDF.pdf"); //Save the document
        }

        public void ImportDataFromXML()
        {
            var doc = new GcPdfDocument();
            doc.Load(new FileStream(Path.Combine("TimeSheetForm_Blank.pdf"), FileMode.Open, FileAccess.Read)); //Load the document          

            FileStream stream = new FileStream(Path.Combine("FormData_XML.xml"), FileMode.Open, FileAccess.Read); //Open the FDF file
            doc.ImportFormDataFromXML(stream); //Import the form data        
            doc.Save("PdfForm_XML.pdf"); //Save the document
        }
        public void ExportData()
        {
            var doc = new GcPdfDocument();
            doc.Load(new FileStream(Path.Combine("TimeSheetForm.pdf"), FileMode.Open, FileAccess.Read)); //Load the document           

            doc.ExportFormDataToFDF("FormData_FDF.fdf"); //Export the form data to FDF file
            doc.ExportFormDataToXFDF("FormData_XFDF.xfdf"); //Export the form data to XFDF file
            doc.ExportFormDataToXML("FormData_XML.xml"); //Export the form data to XML file
        }
    }
}
